KConfigSkeleton::ItemDouble Class Reference

`#include <kconfigskeleton.h>`

Inherits KConfigSkeletonGenericItem< T >.

## Public Member Functions

| ItemDouble (const QString &group, const QString &key, double &reference, double defaultValue=0)
void | readConfig (KConfig *config)
void | setProperty (const QVariant &p)
QVariant | property () const
QVariant | minValue () const
QVariant | maxValue () const
void | setMinValue (double)
void | setMaxValue (double)

## Detailed Description

Class for handling a floating point preference item.

Definition at line 627 of file kconfigskeleton.h.

## Member Function Documentation

QVariant KConfigSkeleton::ItemDouble::maxValue | ( |  | ) | const

virtual

Return maximum value of item or invalid if not specified.

Reimplemented from KConfigSkeletonItem.

Definition at line 604 of file kconfigskeleton.cpp.

QVariant KConfigSkeleton::ItemDouble::minValue | ( |  | ) | const

virtual

Return minimum value of item or invalid if not specified.

Reimplemented from KConfigSkeletonItem.

Definition at line 597 of file kconfigskeleton.cpp.

QVariant KConfigSkeleton::ItemDouble::property | ( |  | ) | const

virtual

Return item as property.

Implements KConfigSkeletonItem.

Definition at line 592 of file kconfigskeleton.cpp.

void KConfigSkeleton::ItemDouble::readConfig | ( | KConfig * |  | ) |

virtual

This function is called by KConfigSkeleton to read the value for this setting from a config file.

value.

Implements KConfigSkeletonItem.

Definition at line 574 of file kconfigskeleton.cpp.

void KConfigSkeleton::ItemDouble::setProperty | ( | const QVariant & | p | ) |

virtual

Set item to `p`.

Implements KConfigSkeletonItem.

Definition at line 587 of file kconfigskeleton.cpp.

The documentation for this class was generated from the following files:

- kconfigskeleton.h
- kconfigskeleton.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys